/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "pinocchio", "index.html", [
    [ "Overview", "index.html", [
      [ "What is Pinocchio?", "index.html#OverviewIntro", null ],
      [ "How to install Pinocchio?", "index.html#OverviewInstall", null ],
      [ "Simplest example with compilation command", "index.html#OverviewSimple", [
        [ "Compiling and running your program", "index.html#OverviewSimpleCompile", null ],
        [ "Explanation of the program", "index.html#OverviewSimpleExplain", null ]
      ] ],
      [ "More complex example with C++ and Python", "index.html#OverviewComplex", [
        [ "Compiling and running your program", "index.html#OverviewComplexCompile", null ],
        [ "Explanation of the program", "index.html#OverviewComplexExplain", null ]
      ] ],
      [ "About Python wrappings", "index.html#OverviewPython", null ],
      [ "How to cite Pinocchio", "index.html#OverviewCite", [
        [ "Easy solution: cite our open access paper", "index.html#autotoc_md245", null ],
        [ "Citing the software package", "index.html#autotoc_md246", null ],
        [ "Citing the derivative algorithms", "index.html#autotoc_md247", null ]
      ] ],
      [ "Where to go from here?", "index.html#OverviewConclu", null ]
    ] ],
    [ "Porting from Pinocchio 1.3.3 to 2.0.0", "md_doc__porting.html", [
      [ "What is included", "md_doc__porting.html#PortingIntro", null ],
      [ "Changes in C++", "md_doc__porting.html#PortingC", [
        [ "Header-only", "md_doc__porting.html#PortingCHeaderonly", null ],
        [ "Namespace", "md_doc__porting.html#PortingCNamespace", null ],
        [ "Deprecated macros", "md_doc__porting.html#PortingCMacros", null ],
        [ "Method signatures", "md_doc__porting.html#PortingCSignature", null ]
      ] ],
      [ "Changes in Python", "md_doc__porting.html#PortingPython", [
        [ "Namespace", "md_doc__porting.html#PortingPythonNamespace", null ],
        [ "RobotWrapper", "md_doc__porting.html#PortingPythonRobotWrapper", null ]
      ] ]
    ] ],
    [ "Main features of Pinocchio", "md_doc_a-features_intro.html", "md_doc_a-features_intro" ],
    [ "Examples", "md_doc_b-examples_intro.html", "md_doc_b-examples_intro" ],
    [ "Build reduced model", "md_doc_b-examples_o-reduced-model.html", [
      [ "Python", "md_doc_b-examples_o-reduced-model.html#autotoc_md82", null ],
      [ "C++", "md_doc_b-examples_o-reduced-model.html#autotoc_md83", null ]
    ] ],
    [ "Mathematical formulation", "md_doc_c-maths_intro.html", "md_doc_c-maths_intro" ],
    [ "Practical Exercises", "md_doc_d-practical-exercises_intro.html", "md_doc_d-practical-exercises_intro" ],
    [ "Implementation / Technical details", "md_doc_e-implementation_intro.html", "md_doc_e-implementation_intro" ],
    [ "Benchmarks", "md_doc_f-benchmarks_intro.html", "md_doc_f-benchmarks_intro" ],
    [ "Success Stories", "md_doc_g-success-stories_intro.html", [
      [ "List of projects succesfully using pinocchio", "md_doc_g-success-stories_intro.html#autotoc_md244", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Cheat sheet", "cheatsheet.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classpinocchio_1_1ForceDense.html#a4e1bb3124e532d3638559dcfb13da3d3",
"classpinocchio_1_1ModelPoolTpl.html#ab2bf9ca332a60fbee0bc2f72a6ca2c73",
"classpinocchio_1_1Symmetric3Tpl.html#ac391ea1c2bee4075a9f29638cfaaa50d",
"md_doc__porting.html",
"md_doc_f-benchmarks_b-howto.html",
"structboost_1_1has__nothrow__copy_3_01_1_1pinocchio_1_1JointDataFreeFlyerTpl_3_01Scalar_00_01Options_01_4_01_4.html",
"structpinocchio_1_1CodeGenBase.html#acfaa4197fcc3b1958a315b1c782ce312",
"structpinocchio_1_1ConstraintIdentityTpl.html#a2f85d64406364afd0b4e49ace601f2c1",
"structpinocchio_1_1DataTpl.html#a99ca10ff2ec6069b363e85a58e2d74db",
"structpinocchio_1_1JointDataCompositeTpl.html#a3823939742040cf03b2cdbeca945a2b3",
"structpinocchio_1_1JointModelBase.html#a3f0c3bdcc21e9ddb4da4b694fae33c57",
"structpinocchio_1_1JointModelRevoluteUnalignedTpl.html#a5edf3beb02a995cc64e76243ddf6acf7",
"structpinocchio_1_1LieGroupMap_1_1operation_3_01JointModelSphericalTpl_3_01Scalar_00_01Options_01_4_01_4.html#a19605a0425e07e8c631d7f21f6b5c488",
"structpinocchio_1_1MotionSphericalTpl.html#a53e2ceff3196b1a4823429b3186833e7",
"structpinocchio_1_1ScaledConstraint.html#a581247a74458feabfd9a6dff286b6fb5",
"structpinocchio_1_1Tensor.html#ad259f0e8375f75dcc5c057a92a2cb5a0",
"structpinocchio_1_1traits_3_01CartesianProductOperation_3_01LieGroup1_00_01LieGroup2_01_4_01_4.html#a749f692f6763a6cb312b769a170cef86",
"structpinocchio_1_1traits_3_01JointMimic_3_01Joint_01_4_01_4.html#a775a789d2aa67095de77d82f146e7b8f",
"structpinocchio_1_1traits_3_01MotionPlanarTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#aed2850e313cddb89d0dfe6b04e23e3a5",
"structpinocchio_1_1traits_3_01TransformRevoluteTpl_3_01__Scalar_00_01__Options_00_01__axis_01_4_01_4.html#a0c47f7b2fef870d62efb1970ec0c09d7"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';